Bug 739417 - Review Request: php53-php-gettext - Gettext emulation in PHP
Summary: Review Request: php53-php-gettext - Gettext emulation in PHP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 727000
TreeView+ depends on / blocked
 
Reported: 2011-09-18 22:35 UTC by Robert Scheck
Modified: 2011-11-13 01:32 UTC (History)
2 users (show)

Fixed In Version: php53-php-gettext-1.0.11-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-13 01:32:52 UTC
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-09-18 22:35:48 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php53-php-gettext.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php53-php-gettext-1.0.11-3.src.rpm
Description:
This library provides PHP functions to read MO files even when gettext is 
not compiled in or when appropriate locale is not present on the system.


RHEL 5 is shipping the RPM packages php-5.1.x and php53-5.3.x. This package is
intended only for RHEL 5. See bug #739416 for the php-php-gettext package where
this one is derived from.

Comment 1 Ankur Sinha (FranciscoD) 2011-11-04 10:35:32 UTC
Review:

+ OK
- NA
? Issue

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint php53-php-gettext-1.0.11-3.src.rpm ../SPECS/php53-php-gettext.spec ../RPMS/noarch/php53-php-gettext-1.0.11-3.fc16.noarch.rpm
php53-php-gettext.noarch: E: incorrect-fsf-address /usr/share/doc/php53-php-gettext-1.0.11/COPYING
php53-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/streams.php
php53-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/gettext.php
php53-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/gettext.inc
2 packages and 1 specfiles checked; 4 errors, 0 warnings.

Please ask upstream to update the address. Not a blocker.

+ final provides and requires are sane:
[ankur@ankur temp]$ review-req-check 
== php53-php-gettext-1.0.11-3.fc16.noarch.rpm ==
Provides:
php-php-gettext = 1.0.11-3.fc16
php53-php-gettext = 1.0.11-3.fc16

Requires:
php53-common  
php53-mbstring  


SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
+ check for outstanding bugs on package. (For core merge reviews)

Issues: None

XXX APPROVED XXX

Comment 2 Robert Scheck 2011-11-04 10:43:10 UTC
Thank you very much for the package review.


New Package SCM Request
=======================
Package Name: php53-php-gettext
Short Description: Gettext emulation in PHP
Owners: robert
Branches: el5
InitialCC:

Comment 3 Gwyn Ciesla 2011-11-04 12:02:20 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-11-04 19:07:26 UTC
php53-php-gettext-1.0.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php53-php-gettext-1.0.11-3.el5

Comment 5 Fedora Update System 2011-11-05 19:07:10 UTC
php53-php-gettext-1.0.11-3.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 6 Fedora Update System 2011-11-13 01:32:52 UTC
php53-php-gettext-1.0.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.